Loading...
Searching...
No Matches
Dune::NegateSet< S > Class Template Reference
Common

The negation of a set. An item is contained in the set if and only if it is not contained in the negated set. More...

`#include <dune/common/enumset.hh>`

## Public Types

typedef S::Type | Type

## Static Public Member Functions

static bool | contains (const Type &item)

## Detailed Description

template<typename S>
class Dune::NegateSet< S >

The negation of a set. An item is contained in the set if and only if it is not contained in the negated set.

## Member Typedef Documentation

## Type

template<typename S>

typedef S::Type Dune::NegateSet< S >::Type

## Member Function Documentation

## contains()

template<typename S>

bool Dune::NegateSet< S >::contains | ( | const Type & | item | ) |

inline static

The documentation for this class was generated from the following file:

- enumset.hh